> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ai/aig/ai-gateway-usage/describeaimodeldailycachehitrate.md).

# DescribeAiModelDailyCacheHitRate

## 1. API Description

This API (DescribeAiModelDailyCacheHitRate) is used to describe the hit rate of the AI gateway's daily model cache

{% hint style="info" %}
**Notes**

* For the authentication method of this API, refer to [Authentication](/api-reference/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type   | Description                           |
| --------------- | -------- | ------ | ------------------------------------- |
| month           | Yes      | String | Month, format: "2026-2" or "2026-02". |
| instanceIds     | No       | String | Instance Uuid.                        |
| resourceGroupId | No       | String | ResourceGroup Uuid.                   |

## 3. Output Parameters

| Parameter Name | Type                                                                                       | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                     | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dates          | Array of String                                                                            | List of dates.                                                                                                        |
| cacheHit       | Array of [ModelCacheHitSeries](/api-reference/ai/aig/datastructure.md#modelcachehitseries) | Daily model cache hit rate.                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Describe the statistics of the daily model cache hit rate of the AI gateway.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiModelDailyCacheHitRate
<Common Request Params>

Request:
{
    "instanceIds": "1652682429418183507",
    "month": "2026-03"
}
Response:
{
  "requestId": "T05CB0425-6FDA-4B49-9C6D-ECC6665C255E",
  "response": {
      "cacheHit": [
          {
              "modelName": "gpt-4o",
              "data": [
                  "90%",
                  "95%",
                  "40%"
              ]
          },
          {
              "modelName": "claude-haiku-4-5-20251001",
              "data": [
                  "90%",
                  "95%",
                  "40%"
              ]
          }
      ],
      "requestId": "T05CB0425-6FDA-4B49-9C6D-ECC6665C255E",
      "dates": [
          "2026-03-01",
          "2026-03-02",
          "2026-03-03"
      ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
